---
title: Firefox 78 for developers
slug: Mozilla/Firefox/Releases/78
tags:
  - '78'
  - Firefox
  - Mozilla
  - Releases
---
<p>{{FirefoxSidebar}}</p>

<p class="summary">This article provides information about the changes in Firefox 78 that will affect developers. Firefox 78 was released on June 30, 2020.</p>

<p class="summary">See also <a href="https://hacks.mozilla.org/2020/06/new-in-firefox-78/">New in Firefox 78: DevTools improvements, new regex engine, and abundant web platform updates</a> on Mozilla hacks.</p>

<h2 id="Changes_for_web_developers">Changes for web developers</h2>

<h3 id="Developer_Tools">Developer Tools</h3>

<h4 id="Debugger">Debugger</h4>

<ul>
 <li>You can now change the URL accessed by the remote device from the <a href="/en-US/docs/Tools/about:debugging#Connecting_to_a_remote_device">about:debugging</a> panel. ({{bug("1617237")}})</li>
 <li>The <strong>Disable JavaScript</strong> menu item in the <a href="/en-US/docs/Tools/Debugger/UI_Tour">Debugger</a> now only affects the current tab, and is reset when the Developer Tools are closed. ({{bug("1640318")}})</li>
 <li><a href="/en-US/docs/Tools/Debugger/Set_a_logpoint">Logpoints</a> can map variable names in source-mapped code back to their original names, if you enable <strong>Maps</strong> in the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Scopes">Scopes pane</a>. ({{bug("1536857")}})</li>
</ul>

<h4 id="Network_Monitor">Network Monitor</h4>

<ul>
 <li>In the <a href="/en-US/docs/Tools/Network_Monitor/request_list#Network_request_columns">Network Monitor</a>, you can now resize the columns of the request list by dragging the column borders anywhere in the table. ({{bug("1618409")}})</li>
 <li>The <a href="/en-US/docs/Tools/Network_Monitor/request_details">request details panel</a> in the Network Monitor has some UX improvements. ({{bug("1631302")}}, {{bug("1631295")}})</li>
 <li>If a request was blocked, the <a href="/en-US/docs/Tools/Network_Monitor/request_list">request list</a> now shows the reason, such as an add-on, CSP, CORS, or Enhanced Tracking Protection. ({{bug("1555057")}}, {{bug("1445637")}}, {{bug("1556451")}})</li>
</ul>

<h4 id="Other_tools">Other tools</h4>

<ul>
 <li>The <a href="/en-US/docs/Tools/Accessibility_inspector">Accessibility</a> inspector is out of beta. You can use it to check for various accessibility issues on your site. ({{bug("1602075")}})</li>
 <li>Uncaught promise errors now provide all details in the Console, including their name and stack. ({{bug("1636590")}})</li>
</ul>

<h3 id="CSS">CSS</h3>

<ul>
 <li>The {{CSSxRef(":is", ":is()")}} and {{CSSxRef(":where", ":where()")}} pseudo-classes are now enabled by default ({{bug(1632646)}}).</li>
 <li>The {{CSSxRef(":read-only")}} and {{CSSxRef(":read-write")}} pseudo-classes are now supported without prefixes ({{bug(312971)}}).
  <ul>
   <li>In addition, <code>:read-write</code> styles are no longer applied to disabled <code><a href="/en-US/docs/Web/HTML/Element/input">&lt;input&gt;</a></code> and <code><a href="/en-US/docs/Web/HTML/Element/textarea">&lt;textarea&gt;</a></code> elements, which was a violation of <a href="https://html.spec.whatwg.org/#selector-read-write">the HTML spec</a> ({{bug(888884)}}).</li>
  </ul>
 </li>
</ul>

<h3 id="JavaScript">JavaScript</h3>

<ul>
 <li>The <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat">Intl.ListFormat</a></code> API is now supported ({{bug(1589095)}}).</li>
 <li>The <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/NumberFormat">Intl.NumberFormat()</a></code> constructor has been extended to support new options specified in the <a href="https://github.com/tc39/proposal-unified-intl-numberformat">Intl.NumberFormat Unified API Proposal</a> ({{bug(1633836)}}). This includes among other things:
  <ul>
   <li><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/NumberFormat#Scientific_engineering_or_compact_notations">Support for scientific notations</a></li>
   <li><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/NumberFormat#Unit_formatting">Unit</a>, <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/NumberFormat#Currency_formatting">currency</a> and <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/NumberFormat#Displaying_signs">sign display</a> formatting</li>
  </ul>
 </li>
 <li>The {{JSxRef("RegExp")}} engine <a href="https://hacks.mozilla.org/2020/06/a-new-regexp-engine-in-spidermonkey/">has been updated</a> and now supports all new features introduced in ECMAScript 2018:
  <ul>
   <li><a href="/en-US/docs/Web/JavaScript/Guide/Regular_Expressions/Assertions">Lookbehind assertions</a> ({{bug(1225665)}})</li>
   <li>{{JSxRef("RegExp.prototype.dotAll")}} ({{bug(1361856)}})</li>
   <li><a href="/en-US/docs/Web/JavaScript/Guide/Regular_Expressions/Unicode_Property_Escapes">Unicode property escapes</a> ({{bug(1361876)}})</li>
   <li><a href="/en-US/docs/Web/JavaScript/Guide/Regular_Expressions/Groups_and_Ranges">Named capture groups</a> ({{bug(1362154)}})</li>
  </ul>
 </li>
 <li>Due to a <a href="https://github.com/heycam/webidl/pull/357">WebIDL spec change</a> in mid-2020, we've <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Symbol/toStringTag#toStringTag_available_on_all_DOM_prototype_objects">added a <code>Symbol.toStringTag</code> property to all DOM prototype objects</a> ({{bug(1277799)}}).</li>
 <li>The garbage collection of {{jsxref("WeakMap")}} objects has been improved. <code>WeakMaps</code> are now marked incrementally ({{bug(1167452)}}).</li>
</ul>

<h3 id="APIs">APIs</h3>

<h4 id="DOM">DOM</h4>

<ul>
 <li>The {{DOMxRef("ParentNode.replaceChildren()")}} method has been implemented ({{bug(1626015)}}).</li>
</ul>

<h4 id="Service_workers">Service workers</h4>

<ul>
 <li><a href="https://www.mozilla.org/en-US/firefox/organizations/">Extended Support Releases (ESR)</a>: Firefox 78 is the first ESR release that supports <a href="/en-US/docs/Web/API/Service_Worker_API">Service workers</a> (and the <a href="/en-US/docs/Web/API/Push_API">Push API</a>). Earlier ESR releases had no support ({{bug(1547023)}}).</li>
</ul>

<h3 id="WebAssembly">WebAssembly</h3>

<ul>
 <li><a href="https://hacks.mozilla.org/2019/11/multi-value-all-the-wasm/">Wasm Multi-value</a> is now supported, meaning that WebAssembly functions can now return multiple values, and instruction sequences can consume and produce multiple stack values ({{bug(1628321)}}).</li>
 <li>WebAssembly now supports import and export of 64-bit integer function parameters (i64) using <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/BigInt">BigInt</a></code> from JavaScript ({{bug(1608770)}}).</li>
</ul>

<h3 id="TLS_1.0_and_1.1_removal">TLS 1.0 and 1.1 removal</h3>

<ul>
 <li>Support for the <a href="/en-US/docs/Web/Security/Transport_Layer_Security">Transport Layer Security</a> (TLS) protocol’s version 1.0 and 1.1, is dropped from all browsers. Read <a href="https://hacks.mozilla.org/2019/05/tls-1-0-and-1-1-removal-update/">TLS 1.0 and 1.1 Removal Update</a> for the previous announcement and what actions to take if you are affected ({{bug(1643229)}}).</li>
</ul>

<h2 id="Changes_for_add-on_developers">Changes for add-on developers</h2>

<ul>
 <li>{{WebExtAPIRef("browsingData.removeCache")}} and {{WebExtAPIRef("browsingData.removePluginData")}} now support deleting by hostname. ({{bug(1636784)}}).</li>
 <li>When using <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/proxy/onRequest">proxy.onRequest</a></code>, a filter that limits based on tab id or window id is now correctly applied. This could be useful for add-ons that want to provide proxy functionality just in just one window.</li>
 <li><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/menus/onClicked">Clicking within the context menu</a> from the "all tabs" dropdown now passed the appropriate tab object. In the past, the active tab was erroneously passed.</li>
 <li>When using <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/downloads/download">downloads.download</a></code> with the saveAs option, the recently used directory is now remembered. While this information is not available to developers, it is very convenient to users.</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.fxsitecompat.com/en-CA/versions/78/">Site compatibility for Firefox 78</a></li>
</ul>

<h2 id="Older_versions">Older versions</h2>

<p>{{Firefox_for_developers(77)}}</p>
